<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:template match="/personal-brain">
        <HTML><HEAD><TITLE><xsl:value-of select="header/name"/></TITLE></HEAD>
            <BODY><ul>
                <xsl:for-each select="thought">
                    <xsl:choose>
                        <xsl:when test="relations/parent"></xsl:when>
                        <xsl:otherwise> 
                           <li>
                             <xsl:apply-templates select="."/>
                           </li>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each> 
            </ul>
            </BODY>
        </HTML>
    </xsl:template>
    <xsl:template match="thought">
        <xsl:choose>
            <xsl:when test="note/@name">
                <a name="{@id}" href="notes/{note/@name}" target="note"><xsl:value-of select="name"/></a>
            </xsl:when>
            <xsl:otherwise>
                <a name="{@id}"><xsl:value-of select="name"/></a>
            </xsl:otherwise>
        </xsl:choose>
        
        
        <xsl:if test="location/@archived = 'true'">
            <xsl:text>&#160;&#160;&#160;</xsl:text><a href="files/{location}" target="att">attachment</a>
        </xsl:if>
        <xsl:if test="location/@archived = 'false'">
            link: <a href="{location}" target="att">
                <xsl:value-of select="location"/>
            </a>
        </xsl:if>
        <xsl:for-each select="relations/jump">
            <xsl:variable name="jumpid">
                <xsl:value-of select="@id"/>
            </xsl:variable>
            -> <a href="#{$jumpid}">
                <xsl:value-of select="../../../thought[@id=$jumpid]/name"/>
            </a>  
        </xsl:for-each>
        <xsl:if test="relations/child">
            <ul>
            <xsl:for-each select="relations/child">
                <xsl:variable name="childid">
                    <xsl:value-of select="@id"/>
                </xsl:variable>
                <li>      
                    <xsl:apply-templates select="../../../thought[@id=$childid]"/>              
                </li>
            </xsl:for-each>
            </ul>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>

